Package picard.vcf

## Class GvcfMetricAccumulator

- java.lang.Object
- - picard.vcf.CallingMetricAccumulator
  - - picard.vcf.GvcfMetricAccumulator

- All Implemented Interfaces:
    `VariantProcessor.Accumulator<CallingMetricAccumulator.Result>`

      public class GvcfMetricAccumulator
      extends CallingMetricAccumulator

  An accumulator for collecting metrics about a single-sample GVCF. The main point here is to subset the context of each `VariantContext` as it comes by to the alleles present in the genotype of the only sample. Since this is a GVCF we expect a symbolic \<NON_REF\> allele to be present in each VC. If we do not subset the context this symbolic allele will cause the regular `CallingMetricAccumulator` to return only a small subset of the relevant metrics.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class picard.vcf.CallingMetricAccumulator

      `CallingMetricAccumulator.Result`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GvcfMetricAccumulator​(DbSnpBitSetUtil.DbSnpBitSets dbsnp)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accumulate​(htsjdk.variant.variantcontext.VariantContext vc)` | Incorporates the provided variant's data into the metric analysis.
    `void` | `setup​(htsjdk.variant.vcf.VCFHeader vcfHeader)` |

    - ### Methods inherited from class picard.vcf.CallingMetricAccumulator

      `getSingletonSample, result`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GvcfMetricAccumulator

          public GvcfMetricAccumulator​(DbSnpBitSetUtil.DbSnpBitSets dbsnp)

  - ### Method Detail

    - #### setup

          public void setup​(htsjdk.variant.vcf.VCFHeader vcfHeader)

      Overrides:
        `setup` in class `CallingMetricAccumulator`

    - #### accumulate

          public void accumulate​(htsjdk.variant.variantcontext.VariantContext vc)

      Description copied from class: `CallingMetricAccumulator`
      Incorporates the provided variant's data into the metric analysis.
      Specified by:
        `accumulate` in interface `VariantProcessor.Accumulator<CallingMetricAccumulator.Result>`
      Overrides:
        `accumulate` in class `CallingMetricAccumulator`